Bug 128635 - fence_node: fences the node it's run on
fence_node: fences the node it's run on
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-27 10:43 EDT by Derek Anderson
Modified: 2010-01-11 21:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 15:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-07-27 10:43:10 EDT
Description of problem:
Doing some rudimentary fence testing.  Set the fence agent to just
echo a couple of lines to the console so I can tell who/when got
fenced.  Quorate cluster with everyone in the same fence domain.  From
node link-12 ran:

fence_node link-10

The result is that the fence agent was run on link-12.  It then
errantly reports that the fence of link-10 was successful.  Console
output from link-12:
===================
I HAVE BEEN FENCED!
===================
Jul 27 14:37:15 link-12 ccsd[2151]: No nodes found.
Jul 27 14:37:15 link-12 ccsd[2151]: Error while processing get: No
data available
Jul 27 14:37:15 link-12 ccsd[2151]: No nodes found.
Jul 27 14:37:15 link-12 ccsd[2151]: Error while processing get: No
data available
Jul 27 14:37:15 link-12 fence_node[2230]: Fence of "link-10" was
successful

[root@link-12 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    3   M   link-12
   2    1    3   M   link-10
   3    1    3   M   link-11
[root@link-12 root]# cat /proc/cluster/services

Service          Name                              GID LID State     Code
Fence Domain:    "default"                           1   2 run       -
[1 3 2]

DLM Lock Space:  "clvmd"                             2   3 run       -
[1 2 3]

Version-Release number of selected component (if applicable):
[root@link-12 root]# fence_node -V
fence_node DEVEL.1090955557 (built Jul 27 2004 14:13:44)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:
Always

Steps to Reproduce:
1. Quorate cman cluster
2. Everyone in default fence domain
3. Run "fence_node nodeX" from node nodeY
  
Actual results:
nodeY is fenced.


Expected results:
nodeX fenced.

Additional info:
Comment 1 David Teigland 2004-07-27 23:21:20 EDT
I will try to figure out what's happening here but I think you
misunderstand the relation between fenced and fence_node -- the
two have nothing to do with each other.

fenced deals with the fence domain and executes a fencing agent
against a node when a node is removed from the domain, based on
input from cman.

fence_node is not used by our software but is a simple and potentially
useful utility.  fence_node looks up fencing parameters from ccs and
then calls the specified agent on the victim.  In effect, fenced
calls fence_node when it needs to fence a node that's left the domain.
Comment 2 David Teigland 2004-07-28 00:14:01 EDT
I'm using fence_manual and see no problems when using fence_node
as you've shown.
Comment 3 Derek Anderson 2004-10-04 15:25:43 EDT
Verified against:
fenced DEVEL.1096898839 (built Oct  4 2004 09:08:31)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.
Comment 4 Kiersten (Kerri) Anderson 2004-11-16 14:06:04 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.